---
updatedAt: 2025-10-21T18:14:57.000Z
agentTools:
  projectIndex: https://developer.maximizer.com/llms.txt
---

# Note

Note object allows users to manage notes associated with various entities in Maximizer CRM.

Notes are used to document activities related to AbEntries, Cases, Campaigns, Leads, and Opportunities. They can include details such as ideas or impressions about a customer, brief company profiles, or summaries of contracts and business agreements.

# HowTo's

**Read - Notes that belong to specific parent**

```json js
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Note": {
        "Scope": {
            "Fields": {
                "Key": 1,
                "Text": 1,
                "RichText": 1,
                "Category": 1,
                "Important": 1,
                "Type": {
                    "Key": 1,
                    "DisplayValue": 1
                },
                "DateTime": 1,
                "ParentKey": 1
            }
        },
        "Criteria": {
            "SearchQuery": {
                // ParentKey can be Key from Opportunity, Lead, AbEntry, Case or Campaign
                "ParentKey": {
                    "$EQ": "T3Bwb3J0dW5pdHkJT1BQX0RFTU9fMgkw"
                }
            }
        }
    }
}
```

**Read - Count of notes that belong to specific parent**

```json js
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Note": {
        "Scope": {
            "Fields": {
                "$COUNT(key)": 1
            }
        },
        "Criteria": {
            "SearchQuery": {
                // ParentKey can be Key from Opportunity, Lead, AbEntry, Case or Campaign
                "ParentKey": {
                    "$EQ": "T3Bwb3J0dW5pdHkJT1BQX0RFTU9fMgkw"
                }
            }
        }
    },
    "Configuration": { // Needed for using $COUNT operator
        "Drivers": {
            "INoteSearcher": "Maximizer.Model.Access.Sql.NoteSearcher"
        }
    }
}
```

# MetaData

**Read Note metadata (simple)**

```json js
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Schema": {
        "Scope": {
            "Fields": 1
        },
        "Criteria": {
            "SearchQuery": {
                "Key": {
                    "$TREE": "/Note"
                }
            }
        }
    },
    "Compatibility": {
        "SchemaObject": "1.0"
    }
}
```

**Read Note metadata (more)**

```json js
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Schema": {
        "Scope": {
            "Fields": {
                "Key": 1,
                "Alias": 1,
                "Type": 1,
                "Name": 1,
                "AppliesTo": 1,
                "Sortable": 1,
                "Queryable": 1,
                "Mandatory": 1,
                "Attributes": 1,
                "DisplayValue": 1
            }
        },
        "Criteria": {
            "SearchQuery": {
                "Key": {
                    "$TREE": "/Note"
                }
            }
        }
    },
    "Compatibility": {
        "SchemaObject": "1.0"
    }
}
```

# FieldOptions

**Read Note FieldOptions - Category**

```json js
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Note": {
        "FieldOptions": {
            "Category": {
                "Key": 1,
                "DisplayValue": 1
            }
        },
        "Data": {
            // ParentKey needed for Category, as each entity has its own category definition
            // For this example below key is for AbEntry so response will be for categories of notes for AbEntry only
            "ParentKey": "QWJFbnRyeQkyMjA1MDUyNTE1MzY1OTg0NTAwMDVDCTA="
        }
    },
    "Compatibility": {
        "SchemaObject": "1.0"
    }
}
```

**Read Note FieldOptions - Type**

```json js
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Note": {
        "FieldOptions": {
            "Type": {
                "Key": 1,
                "DisplayValue": 1
            }
        }
    },
    "Compatibility": {
        "SchemaObject": "1.0"
    }
}
```

# Note CRUD

**Create - Note**

```json js
// POST https://api.maximizer.com/octopus/Create
// Authorization: Bearer <token>
{
    "Note": {
        "Data": {
            "Key": null,
            // ParentKey can be key of Opportunity, AbEntry, Lead or Case
            "ParentKey": "QWJFbnRyeQlERU1PXzFDCTA=",
            "DateTime": "2018-04-20T11:12:13",
            // Check field options to see Type available options
            "Type": 0,
            // Check field options to see Category available options (based on parentKey)
            "Category": "Comment",
            "Important": true,
            "RichText": "<div>NoteRichText</div>"
            // Instead of RichText you can use
            // "Text": "Plain text"            
        }
    }
}
```

**Read - Note**

```json js
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Note": {
        "Scope": {
            "Fields": {
                "Key": 1,
                "Text": 1,
                "RichText": 1,
                "Category": 1,
                "Important": 1,
                "Type": {
                    "Key": 1,
                    "DisplayValue": 1
                },
                "DateTime": 1,
                "ParentKey": 1
            }
        },
        "Criteria": {
            "SearchQuery": {},
            "Top": 3
        }
    }
}
```

**Update - Note**

```json js
// POST https://api.maximizer.com/octopus/Update
// Authorization: Bearer <token>
{
    "Note": {
        "Data": {
            "Key": "Tm90ZQkzODEz", // Mandatory
            "Text": "Updating this note using postman"
        }
    }
}
```

**Delete - Note**

```json js
// POST https://api.maximizer.com/octopus/Delete
// Authorization: Bearer <token>
{
    "Note": {
        "Data": {
            "Key": "Tm90ZQkzODEz" // Mandatory
        }
    }
}
```